dpkg-split(1)

NAME
dpkg-split - Debian-Paketarchiv Teilungs- und Zusammensetzwerkzeug

ÜBERSICHT
dpkg-split [Optionen] Befehl

BESCHREIBUNG
dpkg-split zerteilt Debian-Binärpaketdateien in kleinere Teile und setzt diese wieder zusammen, um die Lagerung von großen Paketdateien auf kleinen Medien wie Disketten zu ermöglichen. Es kann manuell mit den Optionen --split, --join und --info verwendet werden. Es hat auch einen automatischen Modus, der über die --auto-Option aufgerufen wird, wo es eine Liste von Teilen, die bereits gesehen, aber noch nicht wieder zusammengesetzt wurden, verwaltet. Sobald alle Teile gesehen wurden, wird dann die Datei wieder zusammengesetzt. Die Optionen --listq und --discard erlauben die Verwaltung dieser Liste. Alle Teilungs-, Vereinigungs- und Warteoperationen erzeugen informative Nachrichten auf der Standardausgabe; diese können ohne Risiko ignoriert werden.

BEFEHLE

-s, --split Komplettarchiv [Präfix]
    Teilt ein einzelnes Debian-Binärpaket in mehrere Teile. Die Teile werden Präfix.NofM.deb benannt, wobei N die bei 1 beginnende Teilnummer und M die Gesamtzahl der Teile ist (beide Angaben dezimal). Falls kein Präfix bereitgestellt wird, wird der Dateiname von Komplettarchiv genommen, einschließlich Verzeichnis, wobei das abschließende .deb entfernt wird.

-j, --join Teil...
    Vereint die Teile einer Paketdatei, und baut damit die Originaldatei wieder zusammen, wie sie vor dem Aufteilen war. Die Teildateien, die als Argument übergeben werden, müssen alle Teile der gleichen Originaldatei sein. Jeder Teil muss genau einmal in der Argumentliste auftauchen, allerdings müssen die Teile nicht in ihrer Reihenfolge aufgeführt werden. Die Teile müssen natürlich alle mit der gleichen zur Zeit des Aufteilens angegeben Teil-Größe generiert worden sein. Dies bedeutet, dass sie für gewöhnlich von dem gleichen Aufruf von dpkg-split --split erzeugt worden sein müssen. Die Dateinamen der Teile sind für den Prozess des Wiederzusammenbauens nicht relevant. Standardmäßig wird die Ausgabedatei Paket-Version.deb genannt.

-I, --info Teil...
    Gibt Informationen über die angegebenen Teildatei(en) in menschenlesbarem Format aus. Argumente, die keine Binärpaketdateien sind, führen zu einer entsprechenden Nachricht (allerdings auch in der Standardausgabe).

-a, --auto -o  Komplettausgabe Teil
    Reiht Teile automatisch in die Warteschlange und setzt, falls möglich, ein Paket wieder zusammen. Der angegebene Teil wird untersucht und mit anderen Teilen desselben Paketes (falls vorhanden) in der Warteschlange der Paketdatei-Teile verglichen. Falls alle Teile der Paketdatei, von der Teil ein Teil ist, verfügbar sind, dann wird das Paket wieder zusammengesetzt und nach Komplettausgabe geschrieben (welche für gewöhnlich noch nicht existieren sollte, obgleich dies kein Fehler ist). Falls nicht, wird Teil in die Warteschlange kopiert und Komplettausgabe wird nicht erzeugt. Falls Teil kein Teil eines aufgeteilten Binärpaketes ist, dann beendet sich dpkg-split mit Rückgabecode 1; falls irgendwelche anderen Probleme auftreten lautet der Rückgabecode 2. Die Option --output oder -o muss bei Verwenden von --auto angegeben werden. (Falls dies nicht obligatorisch wäre, wüsste das Programm nicht, welche Ausgabedatei es zu erwarten hätte.)

-l, --listq
    Listet den Inhalt der Warteschlange der wieder zusammenzubauenden Pakete auf. Für jede Paketdatei, von der Teile in der Warteschlange sind, enthält die Ausgabe den Namen des Paketes, die Teile in der Warteschlange sowie die Gesamtanzahl gespeicherter Bytes in der Warteschlange.

-d, --discard [Paket...]
    Dies löscht Teile aus der Warteschlange derer, die auf die verbleibenden Teile ihrer Pakete warten. Falls kein Paket agegeben wird, wird die Warteschlange komplett geleert; falls irgendwelche angegeben sind, werden nur die Teile des/der passenden Pakete(s) gelöscht.

-h, --help
    Zeige den Bedienungshinweis und beende.

--version
    Gebe die Version aus und beende sich.

OPTIONEN

--depotdir Verzeichnis
    Gibt ein alternatives Verzeichnis für die Warteschlange von Teilen, die auf automatisches Wiederzusammenführen warten, an. Standardmäßig ist dies /var/lib/dpkg.

-S, --partsize kibibytes
    Gibt die maximale Teilgröße in kibibytes (1024 bytes) beim Aufteilen an. Standardmäßig ist dies 450 kiB.

-o, --output Komplettausgabe
    Gibt den Ausgabe-Dateinamen für ein Wiederzusammenbauen an. Dies hebt die Voreinstellung für ein manuelles Wiederzusammenbauen auf (--join) und ist zwingend für ein automatisches Einreihen-oder-Zusammenbauen (--auto) notwendig.

-Q, --npquiet
    Falls Sie ein automatisches Einreihen oder Wiederzusammensetzen durchführen, gibt dpkg-split normalerweise eine Meldung aus, falls ein übergebener Teil kein Binärpaketteil ist. Diese Option unterdrückt diese Meldung um Programmen wie dpkg zu erlauben, sowohl mit geteilten als auch ungeteilten Paketen umzugehen, ohne störende Meldungen zu erzeugen.

--msdos
    Erzwingt, dass die von --split erzeugten Ausgabe-Dateinamen MSDOS-kompatibel sind. Dies verstümmelt den Präfix - entweder den voreingestellten aus dem Eingabe-Dateinamen abgeleiteten oder den als Argument übergebenen: alphanummerische Zeichen werden klein geschrieben, Pluszeichen werden durch x ersetzt und alle anderen Zeichen werden entfernt. Das Ergebnis wird dann soweit wie nötig abgeschnitten, und Dateinamen der Form PräfixNofM.deb werden generiert.

RÜCKGABEWERT
Ein Rückgabewert von 0 zeigt an, dass das angeforderte Aufteilen, Zusammenfügen oder anderer Befehl erfolgreich war. --info-Befehle werden als erfolgreich gewertet, sogar falls die Dateien keine Teile eines Binärpaketes waren. Ein Rückgabewert von 1 tritt nur bei --auto auf und zeigt an, dass die Datei Teil kein Teil eines Binärpaketes war. Ein Rückgabewert von 2 zeigt eine bestimmte Gattung von Problemen an, wie zum Beispiel ein Fehlschlag eines Systemaufrufs, eine Datei, die wie ein Paketteil aussah aber beschädigt war, ein Benutzungsfehler oder einige andere Probleme.

FEHLER
dpkg-split benutzt einige ziemlich veraltete Konventionen für die Dateinamen von Debian-Paketen. Volle Details über die Pakete in der Warteschlange sind nicht zu erhalten, ohne selbst im Warteschlangenverzeichnis zu wühlen. Es gibt keine einfache Art zu testen, ob eine Datei, die ein Teil eines Binärpaketes sein könnte, eines ist. Die Architektur wird nicht im Kopf der Teil-Dateien dargestellt, nur in den Steuer-Informationen der enthaltenen Binärpaket-Datei, und sie ist nicht in den erzeugten Dateinamen wiedergegeben.

DATEIEN

/var/lib/dpkg/parts
    Das voreingestellte Verzeichnis für die Warteschlange der Teil-Dateien, die auf automatisches Zusammenfügen warten. Die in diesem Verzeichnis benutzten Dateinamen liegen in einem intern dpkg-split-Format vor und sind sehr wahrscheinlich für andere Programme nicht nützlich, und in keinem Fall sollte sich auf das Format der Dateinamen verlassen werden.

ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2010 von Helge Kreutzmann <debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und 2008 von Sven Joachim <svenjoac@gmx.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.

SIEHE AUCH
deb(5), deb-control(5), dpkg-deb(1), dpkg(1).

AUTOR
Copyright © 1995-1996 Ian Jackson

Dies ist Freie Software; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE Haftung.